Get Courses
/unified/lms/courses/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for the course
1 supported
Categories the course belongs to, when available
The category's unique identifier
The category's name
A course code or SKU, when available
1 supported
The date and time the course record was created
1 supported
Provider or customer specific fields mapped into a flexible key-value object
The description of the course
1 supported
The estimated duration of the course in seconds, when available
The primary language of the course, when available. Example: en
The difficulty level of the course, when available
beginnerintermediateadvancedmixedunknown
The organization or tenant the course belongs to, when available
The unique identifier for an organization
The name of the organization
The date and time the course was published, when available
Raw data returned from the remote API call.
The publication or availability status of the course
draftpublishedarchiveddisabledunknown
1 supported
Tags applied to the course
The tag's unique identifier
The tag's name
The title of the course
1 supported
The type of learning item
coursepathcurriculumprogrammicrolearningother
1 supported
The date and time the course record was last updated
1 supported
The URLs related to the course.
The type of URL
The URL
curl -X GET 'https://api.truto.one/unified/lms/courses/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/lms/courses/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/lms/courses/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'lms',
'courses',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"lms",
"courses",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())